Summary: Exam-Env Server Part
Name: exam-env-server
Version: 0.3.100.1
Release: 1
URL: https://git.inf2.tuwien.ac.at/inf2/priv/sw/%{name}
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: Applications/System
BuildArchitectures: noarch
Requires: bash-base >= 0.6.8
Requires: bash-range-expand >= 0.13
Requires: rsync
Requires: openssh-clients
Requires: sudo

%description
Contains the exam-env server part.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_bindir},%{_libexecdir}/%{name}} \
      %{buildroot}%{_datadir}/%{name} \
      %{buildroot}%{_sysconfdir} \
      %{buildroot}%{_docdir}/%{name}-%{version}

cp -a bin/. %{buildroot}%{_bindir}/.
cp -a libexec/. %{buildroot}%{_libexecdir}/%{name}/.
cp -a share/. %{buildroot}%{_datadir}/%{name}/.
cp -a etc/. %{buildroot}%{_sysconfdir}/.
cp -a doc/. %{buildroot}%{_docdir}/%{name}-%{version}/.

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/%{name}
%{_sysconfdir}/sudoers.d/*
%{_sysconfdir}/default/%{name}
%doc %{_docdir}/%{name}-%{version}
